%define version 1.0.2
%define release 1mdk

%define major	5
%define libname	%mklibname esmtp %{major}

%define plugindir %{_libdir}/esmtp%{major}-plugins

Summary:	SMTP client library.
Name:		libesmtp
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source:		http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
URL:		http://www.stafford.uklinux.net/libesmtp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel
BuildRequires:	libltdl-devel

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description	-n %{libname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.


%package	-n %{libname}-devel
Summary:	Headers and development libraries for libESMTP.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description	-n %{libname}-devel
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 
%setup -q

%build
%configure2_5x \
	--with-auth-plugin-dir=%{plugindir} \
	--enable-pthreads \
	--enable-require-all-recipients \
	--enable-etrn \
	--enable-starttls \
	--enable-ntlm

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{plugindir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPL NEWS Notes README
%{_libdir}/libesmtp.so.*
%dir %{plugindir}
%{plugindir}/*.so
%{plugindir}/*.la

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 1.0.2-1mdk
- New version

* Thu Oct  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- mklibname

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-2mdk
- rebuild

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0 final (oops, missed it..)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.rc1.1mdk
- Release 1.0rc1

* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.11-1mdk
- Release 0.8.11 (security fix)

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-1mdk
- Release 0.8.8

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-1mdk
- Fix Mdk package

* Thu Aug 30 2001 Bill Nottingham <notting@redhat.com>
- fix assertion failure when sending mail (#52940)

* Mon Aug 20 2001 Bill Nottingham <notting@redhat.com>
- update to 0.8.4 (fixes CRAM-MD5, #52097)

* Mon Jul 30 2001 Bill Nottingham <notting@redhat.com>
- don't enable starttls (not fully tested, at request of author)

* Wed Jul 24 2001 Bill Nottingham <notting@redhat.com>
- rebuild, openssl weirdness

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- initial build, clean up included spec file
- add %post/%postun
